Loading...
Searching...
No Matches
uhd::soft_regmap_accessor_t Class Referenceabstract

`#include <uhd/utils/soft_register.hpp>`

Inheritance diagram for uhd::soft_regmap_accessor_t:
[legend]

## Public Types

typedef std::shared_ptr< soft_regmap_accessor_t > | sptr

## Public Member Functions

virtual | ~soft_regmap_accessor_t ()
virtual soft_register_base & | lookup (const std::string &path) const =0
virtual std::vector< std::string > | enumerate () const =0
virtual const std::string & | get_name () const =0

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<soft_regmap_accessor_t> uhd::soft_regmap_accessor_t::sptr

## Constructor & Destructor Documentation

## ~soft_regmap_accessor_t()

virtual uhd::soft_regmap_accessor_t::~soft_regmap_accessor_t | ( |  | ) |

inline virtual

## Member Function Documentation

## enumerate()

virtual std::vector< std::string > uhd::soft_regmap_accessor_t::enumerate | ( |  | ) | const

pure virtual

Implemented in uhd::soft_regmap_db_t, and uhd::soft_regmap_t.

## get_name()

virtual const std::string & uhd::soft_regmap_accessor_t::get_name | ( |  | ) | const

pure virtual

Implemented in uhd::soft_regmap_db_t, and uhd::soft_regmap_t.

## lookup()

virtual soft_register_base & uhd::soft_regmap_accessor_t::lookup | ( | const std::string & | path | ) | const

pure virtual

Implemented in uhd::soft_regmap_db_t, and uhd::soft_regmap_t.

The documentation for this class was generated from the following file:

- soft_register.hpp